summaryrefslogtreecommitdiff
path: root/x11-wm
diff options
context:
space:
mode:
authorGravatar Chris Xiong <chirs241097@gmail.com> 2021-10-14 19:01:18 -0400
committerGravatar Chris Xiong <chirs241097@gmail.com> 2021-10-14 19:01:18 -0400
commit846cdbdbf965fc50478bcc4c6436e3dc6a489f3f (patch)
tree4a39385c982291a110f513871aba340f0a7a061e /x11-wm
downloadppo-846cdbdbf965fc50478bcc4c6436e3dc6a489f3f.tar.xz
Initial commit.
Diffstat (limited to 'x11-wm')
-rw-r--r--x11-wm/fvwm3/Manifest3
-rw-r--r--x11-wm/fvwm3/files/fvwm3_perl528.patch13
-rw-r--r--x11-wm/fvwm3/fvwm3-1.0.3.ebuild139
3 files changed, 155 insertions, 0 deletions
diff --git a/x11-wm/fvwm3/Manifest b/x11-wm/fvwm3/Manifest
new file mode 100644
index 0000000..b1e54df
--- /dev/null
+++ b/x11-wm/fvwm3/Manifest
@@ -0,0 +1,3 @@
+AUX fvwm3_perl528.patch 440 BLAKE2B de3e566c30fdedd0fa34f0183628c588fc347f220f8eb2f1b31fe47cc43b732ae77427c19b5299eca3f3d6d0dca5c8103ace6602135d08249302b2aed08c7b04 SHA512 f2919221f96a157beb4d08f47f4b2808cdfa5bcfdd6e4015f8e7b50c2990070399346bd61a930ab6450c5262181bfb84938afae5a7d97c55ab8f983e3c5ecd37
+DIST fvwm3-1.0.3.tar.gz 4639447 BLAKE2B ea8e4fac049b613a8ae8ad21f056f38f739c33092ee3e1b4f13730d8078d47eaa8d367b062c66541da8e78b1bd11dcbcc79718f6ef3a06bdeb2c6ec173f39ca2 SHA512 00835eb9a72aeb41b7df3380e69de7b6b9831985e625e99e44a8a0db402011bd193fb901dba9603eaeee8cb1ed8d4a996a99258078e3689936fb1fa729baba5e
+EBUILD fvwm3-1.0.3.ebuild 3460 BLAKE2B 223d8747b30a573f96ce7ff08ea01264d4ab595e2ed551ceee41f98bf5dc1e4cfe74d21d1bac108e0c5d1372469d3417836e15752b44c17a5eeac8cb704e37d9 SHA512 4cfd9a233c79a59693b20af142ea055d0d599102959e90a9547590ddb22aec7bbb2c2caaa50d398409d9f60ea75ee45b1957b653c1ae4e4b62865a543dbd7705
diff --git a/x11-wm/fvwm3/files/fvwm3_perl528.patch b/x11-wm/fvwm3/files/fvwm3_perl528.patch
new file mode 100644
index 0000000..ce318a9
--- /dev/null
+++ b/x11-wm/fvwm3/files/fvwm3_perl528.patch
@@ -0,0 +1,13 @@
+diff --git a/modules/FvwmPerl/FvwmPerl.in b/modules/FvwmPerl/FvwmPerl.in
+index a8ef5dbe..95d79e94 100644
+--- a/modules/FvwmPerl/FvwmPerl.in
++++ b/modules/FvwmPerl/FvwmPerl.in
+@@ -321,7 +321,7 @@ sub preprocess ($;$) {
+ }
+
+ # perl code substitution first
+- $$text_ref =~ s/\Q$quote1\E { ( .*? ) } \Q$quote2\E/
++ $$text_ref =~ s/\Q$quote1\E \{ ( .*? ) \} \Q$quote2\E/
+ my $result = eval "
+ no strict;
+ package PreprocessNamespace;
diff --git a/x11-wm/fvwm3/fvwm3-1.0.3.ebuild b/x11-wm/fvwm3/fvwm3-1.0.3.ebuild
new file mode 100644
index 0000000..fdbff14
--- /dev/null
+++ b/x11-wm/fvwm3/fvwm3-1.0.3.ebuild
@@ -0,0 +1,139 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic desktop
+
+DESCRIPTION="An extremely powerful ICCCM-compliant multiple virtual desktop window manager"
+HOMEPAGE="https://www.fvwm.org/"
+SRC_URI="https://github.com/fvwmorg/fvwm3/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2+ FVWM"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ppc ~ppc64 ~sparc x86"
+IUSE="bidi debug doc netpbm nls perl png readline rplay stroke svg tk truetype xinerama lock"
+
+COMMON_DEPEND="
+ sys-libs/zlib
+ dev-libs/libbson
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libxcb
+ x11-libs/libXcursor
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXpm
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ virtual/libiconv
+ bidi? ( dev-libs/fribidi )
+ nls? ( virtual/libintl )
+ png? ( media-libs/libpng:0= )
+ readline? (
+ sys-libs/ncurses:0=
+ sys-libs/readline:0=
+ )
+ stroke? ( dev-libs/libstroke )
+ svg? ( gnome-base/librsvg )
+ truetype? (
+ media-libs/fontconfig
+ x11-libs/libXft
+ )
+ xinerama? ( x11-libs/libXinerama )
+ !!x11-wm/fvwm
+"
+RDEPEND="${COMMON_DEPEND}
+ dev-lang/perl
+ perl? ( tk? (
+ dev-lang/tk
+ dev-perl/Tk
+ >=dev-perl/X11-Protocol-0.56
+ )
+ )
+ rplay? ( media-sound/rplay )
+ lock? ( x11-misc/xlockmore )
+ userland_GNU? ( sys-apps/debianutils )
+ !x86-fbsd? ( netpbm? ( media-libs/netpbm ) )
+"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+ x11-base/xorg-proto
+ doc? ( dev-libs/libxslt )
+"
+
+src_prepare() {
+ # Fix for Perl 5.28
+ eapply -p1 "${FILESDIR}/${PN}_perl528.patch"
+
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --libexecdir="${EPREFIX}"/usr/$(get_libdir)
+ --with-imagepath=/usr/include/X11/bitmaps:/usr/include/X11/pixmaps:/usr/share/icons/fvwm
+ --enable-iconv
+ --enable-package-subdirs
+ $(use_enable bidi)
+ $(use_enable debug debug-msgs)
+ $(use_enable debug command-log)
+ $(use_enable doc htmldoc)
+ $(use_enable nls)
+ $(use_enable perl perllib)
+ $(use_enable png)
+ $(use_with readline readline-library)
+ $(use_with rplay rplay-library)
+ $(use_with stroke stroke-library)
+ $(use_enable svg rsvg)
+ $(use_enable truetype xft)
+ $(use_enable xinerama)
+ )
+
+ # Non-upstream email where bugs should be sent; used in fvwm-bug.
+ export FVWM_BUGADDR="maintainer-needed@gentoo.org"
+
+ # Recommended by upstream, reference ????
+ append-flags -fno-strict-aliasing
+
+ # Signed chars are required.
+ use ppc && append-flags -fsigned-char
+
+ use readline && myeconfargs+=( --without-termcap-library )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ make_session_desktop fvwm3 /usr/bin/fvwm3
+
+ if ! use lock; then
+ find "${D}" -name '*fvwm-menu-xlock' -exec rm -f '{}' \; 2>/dev/null
+ fi
+
+ if use perl; then
+ if ! use tk; then
+ rm "${D}"/usr/share/fvwm3/perllib/FVWM/Module/Tk.pm || die
+ rm "${D}"/usr/share/fvwm3/perllib/FVWM/Module/Toolkit.pm || die
+ find "${D}"/usr/share/fvwm3/perllib -depth -type d -exec rmdir '{}' \; 2>/dev/null
+ fi
+ else
+ # Completely wipe it if ! use perl
+ rm -r "${D}"/usr/bin/fvwm-perllib "${D}"/usr/share/man/man1/fvwm-perllib.1
+ fi
+
+ # Utility for testing FVWM behaviour by creating a simple window with
+ # configurable hints.
+ if use debug; then
+ dobin "${S}"/tests/hints/hints_test
+ newdoc "${S}"/tests/hints/README README.hints
+ fi
+
+ dodir /etc/X11/Sessions
+ echo "/usr/bin/fvwm3" > "${D}"/etc/X11/Sessions/${PN} || die
+ fperms a+x /etc/X11/Sessions/${PN}
+}